Уязвимость в gettext, позволяющая выполнить код при обработке po-файлов

В библиотеке gettext, применяемой для создания многоязычных приложений, выявлена опасная уязвимость (CVE-2018-18751), которая может использоваться для организации выполнения произвольного кода при обработке специально оформленных сообщений в po-файлах. Проблема вызвана двойным освобождением блока памяти (double free) в функции default_add_message, определённой в файле read-catalog.c. В сети уже доступны варианты po-файлов, эксплуатирующие уязвимость.

from OpenNews.opennet.ru: Проблемы безопасности https://ift.tt/2B1Vk6q
via IFTTT

Leave a Reply